com.h3c.of.lib.err

## Enum ECodeSwitchConfigFailed

- java.lang.Object
- - java.lang.Enum<ECodeSwitchConfigFailed>
  - - com.h3c.of.lib.err.ECodeSwitchConfigFailed

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeSwitchConfigFailed>

      public enum ECodeSwitchConfigFailed
      extends Enum<ECodeSwitchConfigFailed>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.SWITCH_CONFIG_FAILED` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_FLAGS` Specified flags are invalid; Since 1.1.
    `BAD_LEN` Specified length is invalid; Since 1.1.
    `EPERM` Permissions error; Since 1.2.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeSwitchConfigFailed code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeSwitchConfigFailed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeSwitchConfigFailed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BAD_FLAGS

          public static final ECodeSwitchConfigFailed BAD_FLAGS

      Specified flags are invalid; Since 1.1.

    - #### BAD_LEN

          public static final ECodeSwitchConfigFailed BAD_LEN

      Specified length is invalid; Since 1.1.

    - #### EPERM

          public static final ECodeSwitchConfigFailed EPERM

      Permissions error; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeSwitchConfigFailed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeSwitchConfigFailed c : ECodeSwitchConfigFailed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeSwitchConfigFailed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeSwitchConfigFailed code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.